# Created by pyp2rpm-3.2.2
%global pypi_name wowp

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        Data-flow-actors-based workflow framework

License:        MIT
URL:            http://pythonic.eu/wowp/
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-nose >= 1.0
BuildRequires:  python-setuptools
BuildRequires:  mpi4py-openmpi
BuildRequires:  mpi4py-mpich
%description
**WOWP** (A **WO**\ rkflo\ **W** Framework in **P**\ ython) is a modern,
lightweight framework for integrated simulations in science.Our goal Wowp
enables flow based programming in Python via actors and workflows. We prefer
having a clean, straightforward API for creating and connecting actors and
workflows. The target coding style should be as simple as.. code:: python
connect two actors ...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       mpi4py-openmpi
Requires:       mpi4py-mpich
Requires:       python-decorator
Requires:       python-future
Requires:       python-networkx
Requires:       python-nose
Requires:       python-six
Requires:       python-click
%description -n python2-%{pypi_name}
**WOWP** (A **WO**\ rkflo\ **W** Framework in **P**\ ython) is a modern,
lightweight framework for integrated simulations in science.Our goal Wowp
enables flow based programming in Python via actors and workflows. We prefer
having a clean, straightforward API for creating and connecting actors and
workflows. The target coding style should be as simple as.. code:: python
connect two actors ...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install
cp %{buildroot}/%{_bindir}/wowp_on_slurm %{buildroot}/%{_bindir}/wowp_on_slurm-%{python2_version}
ln -s %{_bindir}/wowp_on_slurm-%{python2_version} %{buildroot}/%{_bindir}/wowp_on_slurm-2
cp %{buildroot}/%{_bindir}/wowp %{buildroot}/%{_bindir}/wowp-%{python2_version}
ln -s %{_bindir}/wowp-%{python2_version} %{buildroot}/%{_bindir}/wowp-2


%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.txt
%{_bindir}/wowp_on_slurm
%{_bindir}/wowp_on_slurm-2
%{_bindir}/wowp_on_slurm-%{python2_version}
%{_bindir}/wowp
%{_bindir}/wowp-2
%{_bindir}/wowp-%{python2_version}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Aug 25 2017 Copr dist git <copr-devel@lists.fedorahosted.org> - 0.2.0-1
- Initial package.
